automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[FYI] {maint} tests: don't trust the exit status of "make -k" for non-GN


From: Stefano Lattarini
Subject: [FYI] {maint} tests: don't trust the exit status of "make -k" for non-GNU makes
Date: Sun, 1 Jul 2012 13:34:02 +0200

* t/parallel-tests-recheck-pr11791.sh: Here.  At least some versions
of FreeBSD make botch it up, returning success when failure should be
returned.

Signed-off-by: Stefano Lattarini <address@hidden>
---
 t/parallel-tests-recheck-pr11791.sh |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/t/parallel-tests-recheck-pr11791.sh 
b/t/parallel-tests-recheck-pr11791.sh
index 2cb18cf..2d2fc5a 100755
--- a/t/parallel-tests-recheck-pr11791.sh
+++ b/t/parallel-tests-recheck-pr11791.sh
@@ -42,8 +42,10 @@ $MAKE check >stdout && { cat stdout; exit 1; }
 cat stdout
 count_test_results total=1 pass=0 fail=1 xpass=0 xfail=0 skip=0 error=0
 
-$MAKE -k recheck >stdout && { cat stdout; exit 1; }
+st=0; $MAKE -k recheck >stdout || st=$?
 cat stdout
+# Don't trust the exit status of "make -k" for non-GNU makes.
+if using_gmake && test $st -eq 0; then exit 1; fi
 count_test_results total=1 pass=0 fail=1 xpass=0 xfail=0 skip=0 error=0
 
 # Introduce an error in foo.c, that should cause a compilation failure.
-- 
1.7.9.5




reply via email to

[Prev in Thread] Current Thread [Next in Thread]